Index: /branches/1.5/gui/apps/flowvis-test
===================================================================
--- /branches/1.5/gui/apps/flowvis-test	(revision 6126)
+++ /branches/1.5/gui/apps/flowvis-test	(revision 6127)
@@ -257,5 +257,5 @@
 # USAGE: images_refresh
 #
-# Invoked automatically whenever there is a change in the 3dview/legend
+# Invoked automatically whenever there is a change in the view/legend
 # controls on the images panel.  Updates the image being shown based
 # on the current selection.
@@ -287,11 +287,11 @@
 button .images.cntls.save -text "Save As..." -command images_save
 pack .images.cntls.save -side right -padx 4
-radiobutton .images.cntls.3dview -text "3D View" -variable images(which) \
-    -value "3dview" -command images_refresh
-pack .images.cntls.3dview -side top -anchor w
+radiobutton .images.cntls.view -text "3D View" -variable images(which) \
+    -value "view" -command images_refresh
+pack .images.cntls.view -side top -anchor w
 radiobutton .images.cntls.legend -text "Legend" -variable images(which) \
     -value "legend" -command images_refresh
 pack .images.cntls.legend -side top -anchor w
-set images(which) "3dview"
+set images(which) "view"
 
 canvas .images.viewer -background black -width 500 -height 700
@@ -337,6 +337,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "nanovis"]
-Rappture::FlowvisViewer $f.viewer $servers
+Rappture::FlowvisViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(flowvis) $f.viewer
Index: /branches/1.5/gui/apps/nanovis-test
===================================================================
--- /branches/1.5/gui/apps/nanovis-test	(revision 6126)
+++ /branches/1.5/gui/apps/nanovis-test	(revision 6127)
@@ -272,5 +272,5 @@
 # USAGE: images_refresh
 #
-# Invoked automatically whenever there is a change in the 3dview/legend
+# Invoked automatically whenever there is a change in the view/legend
 # controls on the images panel.  Updates the image being shown based
 # on the current selection.
@@ -302,11 +302,11 @@
 button .images.cntls.save -text "Save As..." -command images_save
 pack .images.cntls.save -side right -padx 4
-radiobutton .images.cntls.3dview -text "3D View" -variable images(which) \
-    -value "3dview" -command images_refresh
-pack .images.cntls.3dview -side top -anchor w
+radiobutton .images.cntls.view -text "3D View" -variable images(which) \
+    -value "view" -command images_refresh
+pack .images.cntls.view -side top -anchor w
 radiobutton .images.cntls.legend -text "Legend" -variable images(which) \
     -value "legend" -command images_refresh
 pack .images.cntls.legend -side top -anchor w
-set images(which) "3dview"
+set images(which) "view"
 
 canvas .images.viewer -background black -width 500 -height 500
@@ -350,6 +350,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "nanovis"]
-Rappture::NanovisViewer $f.viewer $servers
+Rappture::NanovisViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(nanovis) $f.viewer
Index: /branches/1.5/gui/apps/vtkglyphs-test
===================================================================
--- /branches/1.5/gui/apps/vtkglyphs-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkglyphs-test	(revision 6127)
@@ -347,6 +347,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkGlyphViewer $f.viewer $servers
+Rappture::VtkGlyphViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkglyphviewer) $f.viewer
Index: /branches/1.5/gui/apps/vtkheightmap-test
===================================================================
--- /branches/1.5/gui/apps/vtkheightmap-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkheightmap-test	(revision 6127)
@@ -344,6 +344,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkHeightmapViewer $f.viewer $servers
+Rappture::VtkHeightmapViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkheightmapviewer) $f.viewer
Index: /branches/1.5/gui/apps/vtkisosurface-test
===================================================================
--- /branches/1.5/gui/apps/vtkisosurface-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkisosurface-test	(revision 6127)
@@ -344,6 +344,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkIsosurfaceViewer $f.viewer $servers
+Rappture::VtkIsosurfaceViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkisosurfaceviewer) $f.viewer
Index: /branches/1.5/gui/apps/vtkstreamlines-test
===================================================================
--- /branches/1.5/gui/apps/vtkstreamlines-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkstreamlines-test	(revision 6127)
@@ -344,6 +344,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkStreamlinesViewer $f.viewer $servers
+Rappture::VtkStreamlinesViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkviewer) $f.viewer
Index: /branches/1.5/gui/apps/vtkviewer-test
===================================================================
--- /branches/1.5/gui/apps/vtkviewer-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkviewer-test	(revision 6127)
@@ -388,6 +388,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkViewer $f.viewer $servers
+Rappture::VtkViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkviewer) $f.viewer
Index: /branches/1.5/gui/apps/vtkvolume-test
===================================================================
--- /branches/1.5/gui/apps/vtkvolume-test	(revision 6126)
+++ /branches/1.5/gui/apps/vtkvolume-test	(revision 6127)
@@ -344,6 +344,5 @@
 
 set f [.main pane 0]
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-Rappture::VtkVolumeViewer $f.viewer $servers
+Rappture::VtkVolumeViewer $f.viewer
 pack $f.viewer -expand yes -fill both
 set widgets(vtkvolumeviewer) $f.viewer
Index: /branches/1.5/gui/configure
===================================================================
--- /branches/1.5/gui/configure	(revision 6126)
+++ /branches/1.5/gui/configure	(revision 6127)
@@ -587,11 +587,4 @@
 ac_subst_vars='LTLIBOBJS
 LIBOBJS
-TCL_SHLIB_SUFFIX
-TCL_SHLIB_LDFLAGS
-TCL_SHLIB_CFLAGS
-TCL_SHLIB_LD
-TCL_STLIB_LD
-TCL_CFLAGS_OPTIMIZE
-TCL_CFLAGS_DEBUG
 TK_VERSION
 TK_XLIBSW
@@ -599,6 +592,16 @@
 TK_INC_SPEC
 TCL_VERSION
+TCL_STLIB_LD
+TCL_SHLIB_SUFFIX
+TCL_SHLIB_LDFLAGS
+TCL_SHLIB_LD
+TCL_SHLIB_CFLAGS
 TCL_LIB_SPEC
 TCL_INC_SPEC
+TCL_CFLAGS_OPTIMIZE
+TCL_CFLAGS_DEBUG
+SVN_VERSION
+SVN_URL
+INSTALL_PREFIX
 TCLSH
 ENABLE_GUI
@@ -1823,4 +1826,6 @@
 fi
 
+INSTALL_PREFIX=$prefix
+
 if test "${libdir}" != "${prefix}/lib"; then
     LIB_SEARCH_DIRS="-L${prefix}/lib -L${libdir}"
@@ -3003,4 +3008,7 @@
 #SC_ENABLE_SHARED
 
+SVN_VERSION=`svnversion $srcdir | sed 's/Unversioned directory/unknown/'`
+SVN_URL=`readlink -e $srcdir | xargs svn info | sed -ne 's/^URL: //p'`
+
 gui_with_tcl=""
 
@@ -3125,4 +3133,8 @@
   . ${exec_prefix}/lib/tkConfig.sh
 fi
+
+
+
+
 
 
Index: /branches/1.5/gui/configure.in
===================================================================
--- /branches/1.5/gui/configure.in	(revision 6126)
+++ /branches/1.5/gui/configure.in	(revision 6127)
@@ -12,4 +12,6 @@
     exec_prefix=$prefix
 fi
+
+INSTALL_PREFIX=$prefix
 
 if test "${libdir}" != "${prefix}/lib"; then
@@ -31,4 +33,7 @@
 #SC_CONFIG_CFLAGS
 #SC_ENABLE_SHARED
+
+SVN_VERSION=`svnversion $srcdir | sed 's/Unversioned directory/unknown/'`
+SVN_URL=`readlink -e $srcdir | xargs svn info | sed -ne 's/^URL: //p'`
 
 gui_with_tcl=""
@@ -146,6 +151,17 @@
   . ${exec_prefix}/lib/tkConfig.sh	
 fi
+
+AC_SUBST(INSTALL_PREFIX)
+AC_SUBST(SVN_URL)
+AC_SUBST(SVN_VERSION)
+AC_SUBST(TCL_CFLAGS_DEBUG)
+AC_SUBST(TCL_CFLAGS_OPTIMIZE)
 AC_SUBST(TCL_INC_SPEC)
 AC_SUBST(TCL_LIB_SPEC)
+AC_SUBST(TCL_SHLIB_CFLAGS)
+AC_SUBST(TCL_SHLIB_LD)
+AC_SUBST(TCL_SHLIB_LDFLAGS)
+AC_SUBST(TCL_SHLIB_SUFFIX)
+AC_SUBST(TCL_STLIB_LD)
 AC_SUBST(TCL_VERSION)
 AC_SUBST(TK_INC_SPEC)
@@ -153,11 +169,4 @@
 AC_SUBST(TK_XLIBSW)
 AC_SUBST(TK_VERSION)
-AC_SUBST(TCL_CFLAGS_DEBUG)
-AC_SUBST(TCL_CFLAGS_OPTIMIZE)
-AC_SUBST(TCL_STLIB_LD)
-AC_SUBST(TCL_SHLIB_LD)
-AC_SUBST(TCL_SHLIB_CFLAGS)
-AC_SUBST(TCL_SHLIB_LDFLAGS)
-AC_SUBST(TCL_SHLIB_SUFFIX)
 
 
Index: /branches/1.5/gui/pkgIndex.tcl.in
===================================================================
--- /branches/1.5/gui/pkgIndex.tcl.in	(revision 6126)
+++ /branches/1.5/gui/pkgIndex.tcl.in	(revision 6127)
@@ -8,4 +8,7 @@
     namespace eval RapptureGUI {
 	variable version $version
+	variable build "@SVN_VERSION@"
+	variable svnurl "@SVN_URL@"
+	variable installdir $dir
 	variable library $dir
     }
Index: /branches/1.5/gui/scripts/deviceEditor.tcl
===================================================================
--- /branches/1.5/gui/scripts/deviceEditor.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/deviceEditor.tcl	(revision 6127)
@@ -182,6 +182,5 @@
                     destroy $itk_component(hull).dev
                 }
-                set servers [Rappture::VisViewer::GetServerList "pymol"]
-                Rappture::MolvisViewer $itk_component(hull).mol $servers
+                Rappture::MolvisViewer $itk_component(hull).mol
                 pack $itk_component(hull).mol -expand yes -fill both
             }
Index: /branches/1.5/gui/scripts/fieldresult.tcl
===================================================================
--- /branches/1.5/gui/scripts/fieldresult.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/fieldresult.tcl	(revision 6127)
@@ -56,11 +56,55 @@
     }
     array set flags $args
-    set servers ""
     switch -- $flags(-mode) {
-        "nanovis" - "flowvis" {
-            set servers [Rappture::VisViewer::GetServerList "nanovis"]
-        }
-        "contour" - "glyphs" - "heightmap" - "isosurface" - "streamlines" - "surface" - "vtkimage" - "vtkviewer" - "vtkvolume" {
-            set servers [Rappture::VisViewer::GetServerList "vtkvis"]
+        "nanovis" {
+            itk_component add renderer {
+                Rappture::NanovisViewer $itk_interior.ren
+            }
+        }
+        "flowvis" {
+            itk_component add renderer {
+                Rappture::FlowvisViewer $itk_interior.ren
+            }
+        }
+        "glyphs" {
+            itk_component add renderer {
+                Rappture::VtkGlyphViewer $itk_interior.ren
+            }
+        }
+        "contour" - "heightmap" {
+            itk_component add renderer {
+                Rappture::VtkHeightmapViewer $itk_interior.ren \
+                    -mode $flags(-mode)
+            }
+        }
+        "isosurface" {
+            itk_component add renderer {
+                Rappture::VtkIsosurfaceViewer $itk_interior.ren
+            }
+        }
+        "streamlines" {
+            itk_component add renderer {
+                Rappture::VtkStreamlinesViewer $itk_interior.ren
+            }
+        }
+        "surface" {
+            itk_component add renderer {
+                Rappture::VtkSurfaceViewer $itk_interior.ren
+            }
+        }
+        "vtkimage" {
+            itk_component add renderer {
+                Rappture::VtkImageViewer $itk_interior.ren
+            }
+        }
+        "vtkviewer" {
+            itk_component add renderer {
+                Rappture::VtkViewer $itk_interior.ren
+            }
+        }
+        "vtkvolume" {
+            itk_component add renderer {
+                Rappture::VtkVolumeViewer $itk_interior.ren
+            }
         }
         default {
@@ -68,68 +112,10 @@
         }
     }
-    if {"" != $servers} {
-        switch -- $flags(-mode) {
-            "nanovis" {
-                itk_component add renderer {
-                    Rappture::NanovisViewer $itk_interior.ren $servers
-                }
-            }
-            "flowvis" {
-                itk_component add renderer {
-                    Rappture::FlowvisViewer $itk_interior.ren $servers
-                }
-            }
-            "glyphs" {
-                itk_component add renderer {
-                    Rappture::VtkGlyphViewer $itk_interior.ren $servers
-                }
-            }
-            "contour" - "heightmap" {
-                itk_component add renderer {
-                    Rappture::VtkHeightmapViewer $itk_interior.ren $servers \
-                        -mode $flags(-mode)
-                }
-            }
-            "isosurface" {
-                itk_component add renderer {
-                    Rappture::VtkIsosurfaceViewer $itk_interior.ren $servers
-                }
-            }
-            "streamlines" {
-                itk_component add renderer {
-                    Rappture::VtkStreamlinesViewer $itk_interior.ren $servers
-                }
-            }
-            "surface" {
-                itk_component add renderer {
-                    Rappture::VtkSurfaceViewer $itk_interior.ren $servers
-                }
-            }
-            "vtkimage" {
-                itk_component add renderer {
-                    Rappture::VtkImageViewer $itk_interior.ren $servers
-                }
-            }
-            "vtkviewer" {
-                itk_component add renderer {
-                    Rappture::VtkViewer $itk_interior.ren $servers
-                }
-            }
-            "vtkvolume" {
-                itk_component add renderer {
-                    Rappture::VtkVolumeViewer $itk_interior.ren $servers
-                }
-            }
-            default {
-                puts stderr "unknown render mode \"$flags(-mode)\""
-            }
-        }
-        pack $itk_component(renderer) -expand yes -fill both
-
-        # can't connect to rendering farm?
-        if {![$itk_component(renderer) isconnected]} {
-            # Should show a message here
-            #destroy $itk_component(renderer)
-        }
+    pack $itk_component(renderer) -expand yes -fill both
+
+    # can't connect to rendering farm?
+    if {![$itk_component(renderer) isconnected]} {
+        # Should show a message here
+        #destroy $itk_component(renderer)
     }
 
Index: /branches/1.5/gui/scripts/flowvisviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/flowvisviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/flowvisviewer.tcl	(revision 6127)
@@ -42,6 +42,6 @@
     itk_option define -plotoutline plotOutline PlotOutline ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -169,5 +169,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::FlowvisViewer::constructor {hostlist args} {
+itcl::body Rappture::FlowvisViewer::constructor {args} {
     set _serverType "nanovis"
 
Index: /branches/1.5/gui/scripts/molvisviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/molvisviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/molvisviewer.tcl	(revision 6127)
@@ -33,6 +33,6 @@
     itk_option define -device device Device ""
 
-    constructor { servers args } {
-        Rappture::VisViewer::constructor $servers
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -149,5 +149,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::MolvisViewer::constructor {servers args} {
+itcl::body Rappture::MolvisViewer::constructor {args} {
     set _serverType "pymol"
 
Index: /branches/1.5/gui/scripts/nanovisviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/nanovisviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/nanovisviewer.tcl	(revision 6127)
@@ -42,6 +42,6 @@
     itk_option define -plotoutline plotOutline PlotOutline ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -150,5 +150,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::NanovisViewer::constructor {hostlist args} {
+itcl::body Rappture::NanovisViewer::constructor {args} {
     set _serverType "nanovis"
 
Index: /branches/1.5/gui/scripts/resultviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/resultviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/resultviewer.tcl	(revision 6127)
@@ -280,7 +280,6 @@
             set mode "vtkviewer"
             if {![info exists _mode2widget($mode)]} {
-                set servers [Rappture::VisViewer::GetServerList "vtkvis"]
                 set w $itk_interior.vtkviewer
-                Rappture::VtkViewer $w $servers
+                Rappture::VtkViewer $w
                 set _mode2widget($mode) $w
             }
@@ -343,7 +342,6 @@
             set mode "vtkmeshviewer"
             if {![info exists _mode2widget($mode)]} {
-                set servers [Rappture::VisViewer::GetServerList "vtkvis"]
                 set w $itk_interior.$mode
-                Rappture::VtkMeshViewer $w $servers
+                Rappture::VtkMeshViewer $w
                 set _mode2widget($mode) $w
             }
Index: /branches/1.5/gui/scripts/sequenceresult.tcl
===================================================================
--- /branches/1.5/gui/scripts/sequenceresult.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/sequenceresult.tcl	(revision 6127)
@@ -453,6 +453,5 @@
         switch -- $type {
             ::Rappture::Drawing {
-                set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-                Rappture::VtkViewer $w $servers
+                Rappture::VtkViewer $w
                 pack $w -expand yes -fill both
             }
Index: /branches/1.5/gui/scripts/visviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/visviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/visviewer.tcl	(revision 6127)
@@ -61,5 +61,5 @@
     protected variable _waitTimeout 0
 
-    constructor { servers args } {
+    constructor { args } {
         # defined below
     }
@@ -163,5 +163,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VisViewer::constructor { servers args } {
+itcl::body Rappture::VisViewer::constructor { args } {
 
     Rappture::dispatcher _dispatcher
@@ -173,5 +173,4 @@
     $_dispatcher register !waiting
 
-    CheckNameList $servers
     set _buffer(in) ""
     set _buffer(out) ""
Index: /branches/1.5/gui/scripts/vtkglyphviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkglyphviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkglyphviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -156,5 +156,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkGlyphViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkGlyphViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtkheightmapviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkheightmapviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkheightmapviewer.tcl	(revision 6127)
@@ -40,6 +40,6 @@
     itk_option define -mode mode Mode "contour"
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -167,5 +167,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkHeightmapViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkHeightmapViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtkimageviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkimageviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkimageviewer.tcl	(revision 6127)
@@ -40,6 +40,6 @@
     itk_option define -mode mode Mode "vtkimage"
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -162,5 +162,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkImageViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkImageViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtkisosurfaceviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkisosurfaceviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkisosurfaceviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -179,5 +179,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkIsosurfaceViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkIsosurfaceViewer::constructor {args} {
     set _serverType "vtkvis"
     #DebugOn
Index: /branches/1.5/gui/scripts/vtkmeshviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkmeshviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkmeshviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -133,5 +133,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkMeshViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkMeshViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtkstreamlinesviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkstreamlinesviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkstreamlinesviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -158,5 +158,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkStreamlinesViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkStreamlinesViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtksurfaceviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtksurfaceviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtksurfaceviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -157,5 +157,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkSurfaceViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkSurfaceViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/scripts/vtkviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -172,5 +172,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkViewer::constructor {args} {
     package require vtk
     set _serverType "vtkvis"
Index: /branches/1.5/gui/scripts/vtkvolumeviewer.tcl
===================================================================
--- /branches/1.5/gui/scripts/vtkvolumeviewer.tcl	(revision 6126)
+++ /branches/1.5/gui/scripts/vtkvolumeviewer.tcl	(revision 6127)
@@ -39,6 +39,6 @@
     itk_option define -plotbackground plotBackground Background ""
 
-    constructor { hostlist args } {
-        Rappture::VisViewer::constructor $hostlist
+    constructor { args } {
+        Rappture::VisViewer::constructor
     } {
         # defined below
@@ -163,5 +163,5 @@
 # CONSTRUCTOR
 # ----------------------------------------------------------------------
-itcl::body Rappture::VtkVolumeViewer::constructor {hostlist args} {
+itcl::body Rappture::VtkVolumeViewer::constructor {args} {
     set _serverType "vtkvis"
 
Index: /branches/1.5/gui/test/gauge.test
===================================================================
--- /branches/1.5/gui/test/gauge.test	(revision 6126)
+++ /branches/1.5/gui/test/gauge.test	(revision 6127)
@@ -61,5 +61,5 @@
 } -result {4}
 
-test gauge.value.4 {value command, just -check flag, value is returned} \
+test gauge.value.4 {value command, just -check flag, error is returned} \
 -setup {
     set w [Rappture::Gauge .#auto]
@@ -69,15 +69,31 @@
     destroy $w
     catch {unset w}
-} -result {0}
+} -returnCodes {
+    error
+} -result {wrong # args: should be "value ?-check? ?newval?"}
 
-test gauge.value.5 {value command, invalid flag, return error} \
+test gauge.value.5 {value command, -check flag, orig value is unchanged} \
+-setup {
+    set w [Rappture::Gauge .#auto]
+    $w value 2
+} -body  {
+    $w value -check 4
+    $w value
+} -cleanup {
+    destroy $w
+    catch {unset w}
+} -result {2}
+
+test gauge.value.6 {value command, invalid flag, return error} \
 -setup {
     set w [Rappture::Gauge .#auto]
 } -body  {
-    list [catch {$w value -chcek} msg] $msg
+    $w value -chcek
 } -cleanup {
     destroy $w
     catch {unset w}
-} -result {1 {bad value "-chcek": should be a real number}}
+} -returnCodes {
+    error
+} -result {bad value "-chcek": should be a real number}
 
 ::tcltest::cleanupTests
Index: /branches/1.5/gui/test/vtkisosurfaceviewer.test
===================================================================
--- /branches/1.5/gui/test/vtkisosurfaceviewer.test	(revision 6126)
+++ /branches/1.5/gui/test/vtkisosurfaceviewer.test	(revision 6127)
@@ -1,5 +1,4 @@
 # Commands covered:
-# Rappture::Gauge
-# Rappture::Gauge::value
+# Rappture::VtkIsosurfaceViewer
 #
 # This file contains a collection of tests for one of the Rappture Tcl
@@ -8,6 +7,8 @@
 #
 # ======================================================================
-# AUTHOR:  Derrick Kearney, Purdue University
-# Copyright (c) 2004-2012  HUBzero Foundation, LLC
+# AUTHORS:
+#   Derrick Kearney, Purdue University
+#   Leif Delgass, Purdue University
+# Copyright (c) 2004-2016  HUBzero Foundation, LLC
 #
 # See the file "license.terms" for information on usage and redistribution
@@ -17,11 +18,10 @@
 if {[lsearch [namespace children] ::tcltest] == -1} {
     package require tcltest
+    package require Rappture
     package require RapptureGUI
     namespace import -force ::tcltest::*
 }
 
-set servers [Rappture::VisViewer::GetServerList "vtkvis"]
-
-Rappture::VtkIsosurfaceViewer .#auto $servers
+Rappture::resources::load
 
 #----------------------------------------------------------
@@ -31,37 +31,49 @@
 # Rappture::VtkIsosurfaceViewer <name> <servers>
 #----------------------------------------------------------
-test vtkisosurfaceviewer.constructor.1 {
-    value command, 0 args, missing server list error
+test vtkisosurfaceviewer.constructor.0 {
+    constructor, 0 args, auto named
 } -setup {
 } -body  {
-    list [catch {Rappture::VtkIsosurfaceViewer .#auto} msg] $msg
+    Rappture::VtkIsosurfaceViewer .#auto
 } -cleanup {
-} -result {1 {wrong # args: should be "::Rappture::VtkIsosurfaceViewer .vtkIsosurfaceViewer1 hostlist ?arg arg ...?"}}
+} -match glob \
+-result {.vtkIsosurfaceViewer*} \
+-errorOutput {connecting to *:2010...
+Render server is VtkVis * (build *)
+}
+
+test vtkisosurfaceviewer.constructor.1 {
+    constructor, 0 args, explicit name
+} -setup {
+} -body  {
+    Rappture::VtkIsosurfaceViewer .foo
+} -cleanup {
+} -match glob \
+-result {.foo} \
+-errorOutput {connecting to *:2010...
+Render server is VtkVis * (build *)
+}
 
 test vtkisosurfaceviewer.constructor.2 {
-    value command, 1 args empty hostlist, empty hostlist uses visviewer defaults
+    value command, auto name, -plotbackground option
 } -setup {
 } -body  {
-    catch {Rappture::VtkIsosurfaceViewer .#auto {}} msg
+    Rappture::VtkIsosurfaceViewer .#auto -plotbackground red
 } -cleanup {
-} -result {0}
+} -match glob \
+-result {.vtkIsosurfaceViewer*} \
+-errorOutput {connecting to *:2010...
+Render server is VtkVis * (build *)
+}
 
 test vtkisosurfaceviewer.constructor.3 {
-    value command, 1 args valid hostlist
+    value command, bad option
 } -setup {
 } -body  {
-    catch {Rappture::VtkIsosurfaceViewer .#auto $servers} msg
+    Rappture::VtkIsosurfaceViewer .#auto -nonexistent foo
 } -cleanup {
-} -result {0}
-
-#test vtkisosurfaceviewer.constructor.5 {
-#    value command, 1 args valid hostlist
-#} -setup {
-#} -body  {
-#    set w [Rappture::VtkIsosurfaceViewer .#auto $servers]
-#} -cleanup {
-#    destroy $w
-#    catch {unset w}
-#} -result {}
+} -returnCodes {
+    error
+} -result {unknown option "-nonexistent"}
 
 ::tcltest::cleanupTests