Index: /vmdshow/branches/0.2/vmdserver.tcl
===================================================================
--- /vmdshow/branches/0.2/vmdserver.tcl	(revision 6556)
+++ /vmdshow/branches/0.2/vmdserver.tcl	(revision 6557)
@@ -30,4 +30,326 @@
 }
 
+proc RestoreMaterials {} {
+    set mlist {
+        Opaque Transparent BrushedMetal Diffuse Ghost
+        Glass1 Glass2 Glass3 Glossy HardPlastic MetallicPastel
+        Steel Translucent Edgy EdgyShiny EdgyGlass Goodsell
+        AOShiny AOChalky AOEdgy BlownGlass GlassBubble RTChrome
+        Phantom Dead WaterColor Hallucination GlowWorm Transparent2
+        protein pro2tube waterfile off water
+    }
+    set mymlist [material list]
+    foreach mat $mlist {
+        if { [lsearch $mymlist $mat] == -1 } {
+            material add $mat
+        }
+    }
+    material change ambient Opaque 0.000000
+    material change diffuse Opaque 0.650000
+    material change specular Opaque 0.500000
+    material change shininess Opaque 0.534020
+    material change mirror Opaque 0.000000
+    material change opacity Opaque 1.000000
+    material change outline Opaque 0.000000
+    material change outlinewidth Opaque 0.000000
+    material change transmode Opaque 0.000000
+    material change ambient Transparent 0.000000
+    material change diffuse Transparent 0.650000
+    material change specular Transparent 0.500000
+    material change shininess Transparent 0.534020
+    material change mirror Transparent 0.000000
+    material change opacity Transparent 0.300000
+    material change outline Transparent 0.000000
+    material change outlinewidth Transparent 0.000000
+    material change transmode Transparent 0.000000
+    material change ambient BrushedMetal 0.080000
+    material change diffuse BrushedMetal 0.390000
+    material change specular BrushedMetal 0.340000
+    material change shininess BrushedMetal 0.150000
+    material change mirror BrushedMetal 0.000000
+    material change opacity BrushedMetal 1.000000
+    material change outline BrushedMetal 0.000000
+    material change outlinewidth BrushedMetal 0.000000
+    material change transmode BrushedMetal 0.000000
+    material change ambient Diffuse 0.000000
+    material change diffuse Diffuse 0.620000
+    material change specular Diffuse 0.000000
+    material change shininess Diffuse 0.530000
+    material change mirror Diffuse 0.000000
+    material change opacity Diffuse 1.000000
+    material change outline Diffuse 0.000000
+    material change outlinewidth Diffuse 0.000000
+    material change transmode Diffuse 0.000000
+    material change ambient Ghost 0.000000
+    material change diffuse Ghost 0.000000
+    material change specular Ghost 1.000000
+    material change shininess Ghost 0.230000
+    material change mirror Ghost 0.000000
+    material change opacity Ghost 0.100000
+    material change outline Ghost 0.000000
+    material change outlinewidth Ghost 0.000000
+    material change transmode Ghost 0.000000
+    material change ambient Glass1 0.000000
+    material change diffuse Glass1 0.500000
+    material change specular Glass1 0.650000
+    material change shininess Glass1 0.530000
+    material change mirror Glass1 0.000000
+    material change opacity Glass1 0.150000
+    material change outline Glass1 0.000000
+    material change outlinewidth Glass1 0.000000
+    material change transmode Glass1 0.000000
+    material change ambient Glass2 0.520000
+    material change diffuse Glass2 0.760000
+    material change specular Glass2 0.220000
+    material change shininess Glass2 0.590000
+    material change mirror Glass2 0.000000
+    material change opacity Glass2 0.680000
+    material change outline Glass2 0.000000
+    material change outlinewidth Glass2 0.000000
+    material change transmode Glass2 0.000000
+    material change ambient Glass3 0.150000
+    material change diffuse Glass3 0.250000
+    material change specular Glass3 0.750000
+    material change shininess Glass3 0.800000
+    material change mirror Glass3 0.000000
+    material change opacity Glass3 0.500000
+    material change outline Glass3 0.000000
+    material change outlinewidth Glass3 0.000000
+    material change transmode Glass3 0.000000
+    material change ambient Glossy 0.000000
+    material change diffuse Glossy 0.650000
+    material change specular Glossy 1.000000
+    material change shininess Glossy 0.880000
+    material change mirror Glossy 0.000000
+    material change opacity Glossy 1.000000
+    material change outline Glossy 0.000000
+    material change outlinewidth Glossy 0.000000
+    material change transmode Glossy 0.000000
+    material change ambient HardPlastic 0.000000
+    material change diffuse HardPlastic 0.560000
+    material change specular HardPlastic 0.280000
+    material change shininess HardPlastic 0.690000
+    material change mirror HardPlastic 0.000000
+    material change opacity HardPlastic 1.000000
+    material change outline HardPlastic 0.000000
+    material change outlinewidth HardPlastic 0.000000
+    material change transmode HardPlastic 0.000000
+    material change ambient MetallicPastel 0.000000
+    material change diffuse MetallicPastel 0.260000
+    material change specular MetallicPastel 0.550000
+    material change shininess MetallicPastel 0.190000
+    material change mirror MetallicPastel 0.000000
+    material change opacity MetallicPastel 1.000000
+    material change outline MetallicPastel 0.000000
+    material change outlinewidth MetallicPastel 0.000000
+    material change transmode MetallicPastel 0.000000
+    material change ambient Steel 0.250000
+    material change diffuse Steel 0.000000
+    material change specular Steel 0.380000
+    material change shininess Steel 0.320000
+    material change mirror Steel 0.000000
+    material change opacity Steel 1.000000
+    material change outline Steel 0.000000
+    material change outlinewidth Steel 0.000000
+    material change transmode Steel 0.000000
+    material change ambient Translucent 0.000000
+    material change diffuse Translucent 0.700000
+    material change specular Translucent 0.600000
+    material change shininess Translucent 0.300000
+    material change mirror Translucent 0.000000
+    material change opacity Translucent 0.800000
+    material change outline Translucent 0.000000
+    material change outlinewidth Translucent 0.000000
+    material change transmode Translucent 0.000000
+    material change ambient Edgy 0.000000
+    material change diffuse Edgy 0.660000
+    material change specular Edgy 0.000000
+    material change shininess Edgy 0.750000
+    material change mirror Edgy 0.000000
+    material change opacity Edgy 1.000000
+    material change outline Edgy 0.620000
+    material change outlinewidth Edgy 0.940000
+    material change transmode Edgy 0.000000
+    material change ambient EdgyShiny 0.000000
+    material change diffuse EdgyShiny 0.660000
+    material change specular EdgyShiny 0.960000
+    material change shininess EdgyShiny 0.750000
+    material change mirror EdgyShiny 0.000000
+    material change opacity EdgyShiny 1.000000
+    material change outline EdgyShiny 0.760000
+    material change outlinewidth EdgyShiny 0.940000
+    material change transmode EdgyShiny 0.000000
+    material change ambient EdgyGlass 0.000000
+    material change diffuse EdgyGlass 0.660000
+    material change specular EdgyGlass 0.500000
+    material change shininess EdgyGlass 0.750000
+    material change mirror EdgyGlass 0.000000
+    material change opacity EdgyGlass 0.620000
+    material change outline EdgyGlass 0.620000
+    material change outlinewidth EdgyGlass 0.940000
+    material change transmode EdgyGlass 0.000000
+    material change ambient Goodsell 0.520000
+    material change diffuse Goodsell 1.000000
+    material change specular Goodsell 0.000000
+    material change shininess Goodsell 0.000000
+    material change mirror Goodsell 0.000000
+    material change opacity Goodsell 1.000000
+    material change outline Goodsell 4.000000
+    material change outlinewidth Goodsell 0.900000
+    material change transmode Goodsell 0.000000
+    material change ambient AOShiny 0.000000
+    material change diffuse AOShiny 0.850000
+    material change specular AOShiny 0.200000
+    material change shininess AOShiny 0.530000
+    material change mirror AOShiny 0.000000
+    material change opacity AOShiny 1.000000
+    material change outline AOShiny 0.000000
+    material change outlinewidth AOShiny 0.000000
+    material change transmode AOShiny 0.000000
+    material change ambient AOChalky 0.000000
+    material change diffuse AOChalky 0.850000
+    material change specular AOChalky 0.000000
+    material change shininess AOChalky 0.530000
+    material change mirror AOChalky 0.000000
+    material change opacity AOChalky 1.000000
+    material change outline AOChalky 0.000000
+    material change outlinewidth AOChalky 0.000000
+    material change transmode AOChalky 0.000000
+    material change ambient AOEdgy 0.000000
+    material change diffuse AOEdgy 0.900000
+    material change specular AOEdgy 0.200000
+    material change shininess AOEdgy 0.530000
+    material change mirror AOEdgy 0.000000
+    material change opacity AOEdgy 1.000000
+    material change outline AOEdgy 0.620000
+    material change outlinewidth AOEdgy 0.930000
+    material change transmode AOEdgy 0.000000
+    material change ambient BlownGlass 0.040000
+    material change diffuse BlownGlass 0.340000
+    material change specular BlownGlass 1.000000
+    material change shininess BlownGlass 1.000000
+    material change mirror BlownGlass 0.000000
+    material change opacity BlownGlass 0.100000
+    material change outline BlownGlass 0.000000
+    material change outlinewidth BlownGlass 0.000000
+    material change transmode BlownGlass 1.000000
+    material change ambient GlassBubble 0.250000
+    material change diffuse GlassBubble 0.340000
+    material change specular GlassBubble 1.000000
+    material change shininess GlassBubble 1.000000
+    material change mirror GlassBubble 0.000000
+    material change opacity GlassBubble 0.040000
+    material change outline GlassBubble 0.000000
+    material change outlinewidth GlassBubble 0.000000
+    material change transmode GlassBubble 1.000000
+    material change ambient RTChrome 0.000000
+    material change diffuse RTChrome 0.650000
+    material change specular RTChrome 0.500000
+    material change shininess RTChrome 0.530000
+    material change mirror RTChrome 0.700000
+    material change opacity RTChrome 1.000000
+    material change outline RTChrome 0.000000
+    material change outlinewidth RTChrome 0.000000
+    material change transmode RTChrome 0.000000
+    material change ambient Phantom 0.000000
+    material change diffuse Phantom 0.700000
+    material change specular Phantom 0.100000
+    material change shininess Phantom 0.280000
+    material change mirror Phantom 0.000000
+    material change opacity Phantom 0.150000
+    material change outline Phantom 0.000000
+    material change outlinewidth Phantom 0.000000
+    material change transmode Phantom 0.000000
+    material change ambient Dead 0.580000
+    material change diffuse Dead 0.000000
+    material change specular Dead 0.000000
+    material change shininess Dead 0.000000
+    material change mirror Dead 0.000000
+    material change opacity Dead 1.000000
+    material change outline Dead 0.000000
+    material change outlinewidth Dead 0.000000
+    material change transmode Dead 0.000000
+    material change ambient WaterColor 0.000000
+    material change diffuse WaterColor 0.350000
+    material change specular WaterColor 0.440000
+    material change shininess WaterColor 0.110000
+    material change mirror WaterColor 0.000000
+    material change opacity WaterColor 1.000000
+    material change outline WaterColor 4.000000
+    material change outlinewidth WaterColor 0.570000
+    material change transmode WaterColor 0.000000
+    material change ambient Hallucination 0.100000
+    material change diffuse Hallucination 0.810000
+    material change specular Hallucination 1.000000
+    material change shininess Hallucination 0.250000
+    material change mirror Hallucination 0.000000
+    material change opacity Hallucination 0.300000
+    material change outline Hallucination 0.000000
+    material change outlinewidth Hallucination 0.000000
+    material change transmode Hallucination 1.000000
+    material change ambient GlowWorm 0.250000
+    material change diffuse GlowWorm 0.650000
+    material change specular GlowWorm 0.500000
+    material change shininess GlowWorm 0.534020
+    material change mirror GlowWorm 0.000000
+    material change opacity GlowWorm 1.000000
+    material change outline GlowWorm 0.000000
+    material change outlinewidth GlowWorm 0.000000
+    material change transmode GlowWorm 0.000000
+    material change ambient Transparent2 0.000000
+    material change diffuse Transparent2 0.650000
+    material change specular Transparent2 0.500000
+    material change shininess Transparent2 0.534020
+    material change mirror Transparent2 0.000000
+    material change opacity Transparent2 0.750000
+    material change outline Transparent2 0.000000
+    material change outlinewidth Transparent2 0.000000
+    material change transmode Transparent2 0.000000
+    material change ambient protein 0.000000
+    material change diffuse protein 0.650000
+    material change specular protein 1.000000
+    material change shininess protein 0.534020
+    material change mirror protein 0.000000
+    material change opacity protein 1.000000
+    material change outline protein 0.000000
+    material change outlinewidth protein 0.000000
+    material change transmode protein 0.000000
+    material change ambient pro2tube 0.000000
+    material change diffuse pro2tube 0.650000
+    material change specular pro2tube 1.000000
+    material change shininess pro2tube 0.534020
+    material change mirror pro2tube 0.000000
+    material change opacity pro2tube 1.000000
+    material change outline pro2tube 0.000000
+    material change outlinewidth pro2tube 0.000000
+    material change transmode pro2tube 0.000000
+    material change ambient waterfile 0.000000
+    material change diffuse waterfile 0.650000
+    material change specular waterfile 1.000000
+    material change shininess waterfile 0.534020
+    material change mirror waterfile 0.000000
+    material change opacity waterfile 1.000000
+    material change outline waterfile 0.000000
+    material change outlinewidth waterfile 0.000000
+    material change transmode waterfile 0.000000
+    material change ambient off 0.000000
+    material change diffuse off 0.650000
+    material change specular off 1.000000
+    material change shininess off 0.534020
+    material change mirror off 0.000000
+    material change opacity off 0.000000
+    material change outline off 0.000000
+    material change outlinewidth off 0.000000
+    material change transmode off 0.000000
+    material change ambient water 0.000000
+    material change diffuse water 1.000000
+    material change specular water 0.750000
+    material change shininess water 0.000000
+    material change mirror water 0.000000
+    material change opacity water 0.000000
+    material change outline water 0.000000
+    material change outlinewidth water 0.000000
+    material change transmode water 1.000000
+}
 
 # ========================================================================
@@ -660,4 +982,5 @@
             axes location off
             color Display Background black
+            RestoreMaterials
             eval $DisplayProps(options)
         }